<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <!--
        Alter the entity Variable.
        Change column input_mode and variable_index to NULLABLE
    -->
    <changeSet id="20241205232507-1" author="omg">
    	<modifyDataType tableName="variable" columnName="input_mode" newDataType="varchar(255)" />
    </changeSet>
    <changeSet id="20241205232507-2" author="omg">
    	<modifyDataType tableName="variable" columnName="variable_index" newDataType="integer" />
    </changeSet>
</databaseChangeLog>
